## org.eclipse.jst.jsf.facesconfig.emf
Interface BehaviorType

All Known Implementing Classes:
  BehaviorTypeImpl

    public interface BehaviorType

A representation of the model object 'Behavior Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Behavior Id`
- `Behavior Class`
- `Attribute`
- `Property`
- `Behavior Extension`

See Also:
  `FacesConfigPackage.getBehaviorType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getAttribute()` Returns the value of the 'Attribute' containment reference list.
`BehaviorClassType` `getBehaviorClass()` Returns the value of the 'Behavior Class' containment reference
`EList` `getBehaviorExtension()` Returns the value of the 'Behavior Extension' containment reference list.
`BehaviorIdType` `getBehaviorId()` Returns the value of the 'Behavior Id' containment reference
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`EList` `getProperty()` Returns the value of the 'Property' containment reference list.
`void` `setBehaviorClass(BehaviorClassType value)` Sets the value of the '`Behavior Class`' containment reference
`void` `setBehaviorId(BehaviorIdType value)` Sets the value of the '`Behavior Id`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Icon()`

### getBehaviorId

    BehaviorIdType getBehaviorId()

  Returns the value of the 'Behavior Id' containment reference.

  If the meaning of the 'Behavior Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Behavior Id' containment reference.
  See Also:
    `setBehaviorId(BehaviorIdType)`, `FacesConfigPackage.getBehaviorType_BehaviorId()`

### setBehaviorId

    void setBehaviorId(BehaviorIdType value)

  Sets the value of the '`Behavior Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Behavior Id' containment reference.
  See Also:
    `getBehaviorId()`

### getBehaviorClass

    BehaviorClassType getBehaviorClass()

  Returns the value of the 'Behavior Class' containment reference.

  If the meaning of the 'Behavior Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Behavior Class' containment reference.
  See Also:
    `setBehaviorClass(BehaviorClassType)`, `FacesConfigPackage.getBehaviorType_BehaviorClass()`

### setBehaviorClass

    void setBehaviorClass(BehaviorClassType value)

  Sets the value of the '`Behavior Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Behavior Class' containment reference.
  See Also:
    `getBehaviorClass()`

### getAttribute

    EList getAttribute()

  Returns the value of the 'Attribute' containment reference list. The list contents are of type `AttributeType`.

  If the meaning of the 'Attribute' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Attribute()`

### getProperty

    EList getProperty()

  Returns the value of the 'Property' containment reference list. The list contents are of type `PropertyType`.

  If the meaning of the 'Property' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_Property()`

### getBehaviorExtension

    EList getBehaviorExtension()

  Returns the value of the 'Behavior Extension' containment reference list. The list contents are of type `BehaviorExtensionType`.

  If the meaning of the 'Behavior Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Behavior Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getBehaviorType_BehaviorExtension()`